<?php
/**
* @package		ConverseKit
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* ConverseKit is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<?php if ($contacts) { ?>

	<?php foreach ($contacts as $contact) { ?>
	<div class="ckit-chat-listing__item is-contact" data-ck-contact-item data-id="<?php echo $contact->id;?>">
		<div class="o-flag">
			<div>
				<div class="o-flag__image">
					<div id="es">
						<?php echo $esThemes->html('avatar.user', ES::user($contact->id), 'default', false, true, '', false, ''); ?>
					</div>
				</div>

				<div class="o-flag__body ckit-group-info">
					<div>
						<a href="javascript:void(0);" class="ckit-user-name">
							<?php echo $contact->name;?>
						</a>
					</div>

					<div class="ckit-messages__time">
						<?php if ($contact->isOnline) { ?>
							<span><?php echo JText::_('PLG_CK_ONLINE'); ?></span>
						<?php } else { ?>
							<span><?php echo JText::sprintf('PLG_CK_LAST_SEEN_LAPSED', $contact->lastseen);?></span>
						<?php } ?>
					</div>

					<?php if ($addParticipant) { ?>
					<a href="javascript:void(0);" class="btn btn-sm btn-ckit-primary btn-add-participants" data-ck-insert-participant data-id="<?php echo $contact->id;?>"><?php echo JText::_('PLG_CK_INVITE'); ?></a>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
	<?php } ?>

	<?php if ($showLoadmore) { ?>
	<a href="javascript:void(0);" class="btn btn-ckit-default btn-show-more-ckit" data-ck-loadmore>
		<div><?php echo JText::_('PLG_CK_SHOWMORE'); ?></div>
		<div class="o-loader o-loader--sm"></div>
	</a>
	<?php } ?>

<?php } else { ?>
<div class="ckit-search-msg">
	<i class="fa fa-users"></i>
	<span></span>
	<div><?php echo JText::_('PLG_CK_NO_SEARCH');?></div>
</div>
<?php } ?>
