<?php
/**
* @package		ConverseKit
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* ConverseKit is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<?php if ($conversations) { ?>
	<?php foreach ($conversations as $conversation) { ?>
	<div class="ckit-chat-listing__item is-conversation" data-ck-conversation-item data-id="<?php echo $conversation->id;?>">
		<div class="o-flag">
			<div>
				<div class="o-flag__body ckit-item-checkbox" data-checkbox>
					<div class="o-checkbox">
						<input type="checkbox" id="ck-checkbox-<?php echo $conversation->id;?>" value="<?php echo $conversation->id;?>" />
						<label for="ck-checkbox-<?php echo $conversation->id;?>">&nbsp;</label>
					</div>
				</div>

				<div class="o-flag__image">
					<div class="o-avatar-status">
						<div id="es">
							<?php if ($conversation->isSingle()) { ?>
								<?php echo $esThemes->html('avatar.user', $conversation->participant, 'default', false, true, '', false, ''); ?>
							<?php } else { ?>
								<?php echo $esThemes->html('avatar.mini', '', '', rtrim(JURI::root(),'/') . '/media/com_easysocial/defaults/avatars/group/large.png', 'default', '', '', false); ?>
							<?php } ?>
						</div>
					</div>
				</div>
				<div class="o-flag__body ckit-group-info">
					<div>
						<a href="javascript:void(0);" class="ckit-user-name"><?php echo $conversation->getTitle();?></a>
						<div class="t-text--muted" data-ck-conversation-preview><?php echo CK::getFormattedPreview($conversation, $userId, 150); ?></div>
					</div>

					<div class="ckit-messages__time-bubble">
						<div class="ckit-messages__time">
							<span data-ck-conversation-date><?php echo $conversation->getLastRepliedDate(true);?></span>
						</div>

						<div class="ckit-bubble__link <?php echo $conversation->notification ? 't-block' : 't-hidden';?>" data-chat-notify><?php echo $conversation->notification;?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php } ?>

	<?php if ($showLoadmore) { ?>
	<a href="javascript:void(0);" class="btn btn-ckit-default btn-show-more-ckit" data-ck-loadmore-conversations>
		<div><?php echo JText::_('PLG_CK_SHOWMORE'); ?></div>
		<div class="o-loader o-loader--sm"></div>
	</a>
	<?php } ?>
<?php } ?>
