<?php
/**
* @package		ConverseKit
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* ConverseKit is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<?php if ($giphies) { ?>
	<?php foreach ($giphies as $item) { ?>  
		<div class="ck-gif-list__item">
			<a href="javascript:void(0);" class="ck-gif-holder" 
				data-ck-composer-giphy-item
				data-original="<?php echo $item->images->original->url; ?>" 
				style="background-image: url('<?php echo $item->images->fixed_width->url; ?>');">
			</a>
		</div>
	<?php } ?>
<?php } else { ?>
	<div class="is-empty" style="width:100%">
		<div class="o-empty">
			<div class="o-empty__content">
				<div class="o-empty__text" data-giphy-no-result><?php echo JText::_('COM_ES_GIPHY_NO_RESULT'); ?></div>
			</div>
		</div>
	</div>
<?php } ?>