<?php
/**
* @package		ConverseKit
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* ConverseKit is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<form action="<?php echo JRoute::_('index.php');?>" method="post" data-settings-form>
	<div class="ckit-settings">
		<div class="o-row">
			<div class="o-col">
				<label><?php echo JText::_('PLG_CK_USER_SETTINGS_GENERAL');?></label>
			</div>
		</div>

		<div class="o-row">
			<div class="o-col">
				<label for="inputSound" class="control-label"><?php echo JText::_('PLG_CK_USER_SETTINGS_ENABLE_DARKMODE');?></label>
			</div>

			<div class="o-col">
				<div class="o-switch pull-right">
					<input type="checkbox" id="ck_darkmode" class="o-switch__checkbox" name="darkmode" <?php echo $darkmode ? 'checked="checked"' : '';?> value="1" data-settings-option data-settings-darkmode />
					<label for="ck_darkmode" class="o-switch__label">
						<span class="o-switch__inner"></span>
						<span class="o-switch__switch"></span>
					</label>
				</div>
			</div>
		</div>

		<div class="o-row">
			<div class="o-col">
				<label for="inputSound" class="control-label"><?php echo JText::_('PLG_CK_USER_SETTINGS_NOTIFICATION_SOUNDS');?></label>
			</div>

			<div class="o-col">
				<div class="o-switch pull-right">
					<input type="checkbox" id="myonoffswitch_1" class="o-switch__checkbox" name="sound" <?php echo $sound ? 'checked="checked"' : '';?> value="1" data-settings-option data-settings-sound />
					<label for="myonoffswitch_1" class="o-switch__label">
						<span class="o-switch__inner"></span>
						<span class="o-switch__switch"></span>
					</label>
				</div>
			</div>
		</div>

		<div class="o-row">
			<div class="o-col">
				<label for="inputSound" class="control-label"><?php echo JText::_('PLG_CK_USER_SETTINGS_SUBMIT');?></label>
			</div>

			<div class="o-col">
				<div class="o-switch pull-right">
					<input type="checkbox" id="myonoffswitch_2" class="o-switch__checkbox" name="submit" <?php echo $submit ? 'checked="checked"' : '';?> value="1" data-settings-option data-settings-submit />
					<label for="myonoffswitch_2" class="o-switch__label">
						<span class="o-switch__inner"></span>
						<span class="o-switch__switch"></span>
					</label>
				</div>
			</div>
		</div>
	</div>
</form>